export interface MaterialBomVO {
  /**
   * 主键标识
   */
  materialBomId: string | number;

  /**
   * 父级标识
   */
  parentId: string | number;

  /**
   * 物料ID
   */
  materialId: string | number;

  /**
   * 物料名称
   */
  materialName: string;

  /**
   * bom说明
   */
  materialBomDesc: string;

  /**
   * bom版本
   */
  materialBomVersion: string;

  /**
   * 祖级列表
   */
  ancestors: string;

  /**
   * 标准数量
   */
  standardAmount: number;

  /**
   * 顶级标识(1是 0否)
   */
  topFlag: number;

  /**
   * 校验类型(0不校验 1人工校验 2自动校验)
   */
  checkType: string;

  /**
   * 项目ID
   */
  projectId: string | number;

  /**
   * 装配时长(秒)
   */
  assembleTime: number;

  /**
   * 物料分类（1ERP同步 2虚拟物料 3MES物料）
   */
  materialClassfication: string;

  /**
   * 附件信息
   */
  attachId: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

    /**
     * 子对象
     */
    children: MaterialBomVO[];
}

export interface MaterialBomForm extends BaseEntity {
  /**
   * 主键标识
   */
  materialBomId?: string | number;

  /**
   * 父级标识
   */
  parentId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 物料名称
   */
  materialName?: string;

  /**
   * bom说明
   */
  materialBomDesc?: string;

  /**
   * bom版本
   */
  materialBomVersion?: string;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 标准数量
   */
  standardAmount?: number;

  /**
   * 顶级标识(1是 0否)
   */
  topFlag?: number;

  /**
   * 校验类型(0不校验 1人工校验 2自动校验)
   */
  checkType?: string;

  /**
   * 项目ID
   */
  projectId?: string | number;

  /**
   * 装配时长(秒)
   */
  assembleTime?: number;

  /**
   * 物料分类（1ERP同步 2虚拟物料 3MES物料）
   */
  materialClassfication?: string;

  /**
   * 附件信息
   */
  attachId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface MaterialBomQuery {

  /**
   * 主键标识
   */
  materialBomId?: string | number;

  /**
   * 父级标识
   */
  parentId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 物料名称
   */
  materialName?: string;

  /**
   * bom说明
   */
  materialBomDesc?: string;

  /**
   * bom版本
   */
  materialBomVersion?: string;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 标准数量
   */
  standardAmount?: number;

  /**
   * 顶级标识(1是 0否)
   */
  topFlag?: number;

  /**
   * 校验类型(0不校验 1人工校验 2自动校验)
   */
  checkType?: string;

  /**
   * 项目ID
   */
  projectId?: string | number;

  /**
   * 装配时长(秒)
   */
  assembleTime?: number;

  /**
   * 物料分类（1ERP同步 2虚拟物料 3MES物料）
   */
  materialClassfication?: string;

  /**
   * 附件信息
   */
  attachId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



