export interface InstockPrintVO {
  /**
   * 入库单子表主键
   */
  instockPrintId: string | number;

  /**
   * 入库单号
   */
  instockCode: string;

  /**
   * 批次码
   */
  batchCode: string;

  /**
   * 条码数量
   */
  materialQty: number;

  /**
   * 分包数量
   */
  apportionQty: number;

  /**
   * 物料id
   */
  materialId: string | number;

  /**
   * 物料编码
   */
  materialCode: string;

  /**
   * 物料名称
   */
  materialName: string;

  /**
   * 物料规格
   */
  materialSpe: string;

  /**
   * 计量单位名称
   */
  unitName: string;

  /**
   * 是否有条码
   */
  codeYesNo: string;

  /**
   * 物料大类
   */
  materialCategories: string;

}

export interface InstockPrintForm extends BaseEntity {
  /**
   * 入库单子表主键
   */
  instockPrintId?: string | number;

  /**
   * 入库单号
   */
  instockCode?: string;

  /**
   * 批次码
   */
  batchCode?: string;

  /**
   * 条码数量
   */
  materialQty?: number;

  /**
   * 分包数量
   */
  apportionQty?: number;

  /**
   * 物料id
   */
  materialId?: string | number;

  /**
   * 物料编码
   */
  materialCode?: string;

  /**
   * 物料名称
   */
  materialName?: string;

  /**
   * 物料规格
   */
  materialSpe?: string;

  /**
   * 计量单位名称
   */
  unitName?: string;

  /**
   * 是否有条码
   */
  codeYesNo?: string;

  /**
   * 物料大类
   */
  materialCategories?: string;

}

export interface InstockPrintQuery extends PageQuery {

  /**
   * 入库单子表主键
   */
  instockPrintId?: string | number;

  /**
   * 入库单号
   */
  instockCode?: string;

  /**
   * 批次码
   */
  batchCode?: string;

  /**
   * 条码数量
   */
  materialQty?: number;

  /**
   * 分包数量
   */
  apportionQty?: number;

  /**
   * 物料id
   */
  materialId?: string | number;

  /**
   * 物料编码
   */
  materialCode?: string;

  /**
   * 物料名称
   */
  materialName?: string;

  /**
   * 物料规格
   */
  materialSpe?: string;

  /**
   * 计量单位名称
   */
  unitName?: string;

  /**
   * 是否有条码
   */
  codeYesNo?: string;

  /**
   * 物料大类
   */
  materialCategories?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



